%define name mcs
%define version 0.4.1
%define release %mkrel 1

%define major 1
%define libname %mklibname %name %major

Summary: Modular Config System
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://sacredspiral.co.uk/~nenolod/mcs/%{name}-%{version}.tar.bz2
License: BSD
Group: System/Libraries
Url: http://sacredspiral.co.uk/~nenolod/mcs/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package -n %libname
Group: System/Libraries
Summary: Modular Config System shared library
Requires: %name >= %version

%description -n %libname
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package -n %libname-devel
Group: Development/C
Summary: Modular Config System shared library
Requires: %libname = %version
Provides: libmcs-devel = %version-%release

%description -n %libname-devel
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS TODO README
%_bindir/mcs-*
%dir %_libdir/mcs/
%_libdir/mcs/libkeyfile.so

%files -n %libname
%defattr(-,root,root)
%_libdir/libmcs.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/libmcs.so
%_libdir/pkgconfig/libmcs.pc
%_includedir/libmcs/


%changelog
* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2007.1
+ Revision: 126328
- new version

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-2mdv2007.1
+ Revision: 126261
- sacrifice a chicken for the build system
- new version

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2007.1
+ Revision: 122673
- new version
- drop patch

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdv2007.1
+ Revision: 122666
- fix libdir on x86_64
- Import mcs



* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2007.1
- initial package
